@import 'styles/layout';
@import 'styles/variables';

.heroWrapper {
  background-color: var(--color-summer);
  display: grid;
  position: relative;
  overflow: visible;
}

.kidsImageContainer {
  grid-template-columns: 1fr minmax(auto, $containerMaxWidth) 1fr;
  display: grid;
  @include respond-above(lg) {
    background-image: url('../../../assets/images/Culture_kids_background@2x.png');
    background-repeat: repeat-x;
    background-position: center bottom -2px;
    background-size: 100% 321px;
  }
}

.kidsImage {
  grid-column: 2;
  min-height: calc(0.265 * 100vw);
  @media (min-width: map-get($breakpoints, lg)) {
    min-height: calc(0.265 * #{$containerMaxWidth});
  }
  background-image: url('../../../assets/images/Culture_kids@2x.jpg');
  background-repeat: no-repeat;
  background-position: center bottom -2px;
  background-size: 100% auto;
}

.heroContainer {
  display: grid;
  text-align: center;

  @include heroContainer();
}

.hero {
  h1 {
    margin-top: $largeMargin;
    margin-bottom: 0;
  }
  p {
    margin: $largeMargin 0;
  }

  .buttonGroup {
    margin: 0 auto;
    button {
      width: 80%;
      @include respond-above(sm) {
        width: 60%;
      }
    }
    .authenticateButton {
      background: transparent;
      border-color: var(--color-white);
      &:hover,
      &:focus,
      &:hover:focus {
        background-color: var(--color-summer-dark);
        border-color: var(--color-white);
      }
    }

    .registerButton {
      color: var(--color-black-90);
      border-color: var(--color-white);
      &:hover {
        background-color: var(--color-summer-light-20);
      }

      background-color: var(--color-white);
      margin-bottom: $baseMargin;
    }
  }
}
